Update an invoice.
PATCH
/v1/invoices/{id}
const url = 'https://api.ridleypay.com/v1/invoices/architecto';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"customer_name":"b","customer_email":"zbailey@example.net","customer_address":"i","currency":"yvd","due_date":"2026-09-30T22:37:54","notes":"l","terms":"j","discount":52,"tax_rate":5,"metadata":null,"items":null}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.ridleypay.com/v1/invoices/architecto \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "customer_name": "b", "customer_email": "zbailey@example.net", "customer_address": "i", "currency": "yvd", "due_date": "2026-09-30T22:37:54", "notes": "l", "terms": "j", "discount": 52, "tax_rate": 5, "metadata": null, "items": null }'Updates a draft invoice. Only draft invoices can be modified.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
The ID of the invoice.
Example
architectoRequest Body
Section titled “Request Body”Media typeapplication/json
object
customer_name
Must not be greater than 255 characters.
string
Example
bcustomer_email
Must be a valid email address. Must not be greater than 255 characters.
string
Example
zbailey@example.netcustomer_address
Must not be greater than 1000 characters.
string
Example
icurrency
Must be 3 characters.
string
Example
yvddue_date
Must be a valid date.
string
Example
2026-09-30T22:37:54notes
Must not be greater than 2000 characters.
string
Example
lterms
Must not be greater than 2000 characters.
string
Example
jdiscount
Must be at least 0.
number
Example
52tax_rate
Must be at least 0. Must not be greater than 100.
number
Example
5metadata
object
Example
nullitems
Must have at least 1 items.
Array<object>
object
description
This field is required when items is present. Must not be greater than 500 characters.
string
Example
Deserunt aut ab provident perspiciatis quo omnis nostrum.quantity
This field is required when items is present. Must be at least 1.
integer
Example
61unit_price
This field is required when items is present. Must be at least 0.01.
number
Example
61Example
null